Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.registry
Interface Registry

All Superinterfaces:
  Disposable, Initialisable

All Known Subinterfaces:
  MuleRegistry, RegistryBroker

All Known Implementing Classes:
  AbstractRegistry, AbstractRegistryBroker, DefaultRegistryBroker, GuiceRegistry, MuleRegistryHelper, SpringRegistry, TransientRegistry

    public interface Registry

extends Initialisable, Disposable

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Method Summary
`String` | `getRegistryId()`
`boolean` | `isReadOnly()`
`boolean` | `isRemote()`
`
`<T> T`
` | `lookupObject(Class<T> clazz)` Look up a single object by type.
`Object` | `lookupObject(String key)` Look up a single object by name.
`
`<T> Collection`
` | `lookupObjects(Class<T> type)` Look up all objects of a given type.
`void` | `registerObject(String key, Object value)`
`void` | `registerObject(String key, Object value, Object metadata)`
`void` | `registerObjects(Map<String,Object> objects)`
`void` | `unregisterObject(String key)`
`void` | `unregisterObject(String key, Object metadata)`

Methods inherited from interface org.mule.api.lifecycle.Initialisable
`initialise`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Method Detail

### lookupObject

    Object lookupObject(String key)

  Look up a single object by name.

  Returns:
    object or null if not found

### lookupObjects

    <T> Collection lookupObjects(Class<T> type)

  Look up all objects of a given type.

  Returns:
    collection of objects or empty collection if none found

### lookupObject

    <T> T lookupObject(Class<T> clazz)
                   throws RegistrationException

  Look up a single object by type.

  Returns:
    object or null if not found
  Throws:
    `RegistrationException` - if more than one object is found.

### registerObject

    void registerObject(String key,
                        Object value)
                        throws RegistrationException

  Throws:
    `RegistrationException`

### registerObject

    void registerObject(String key,
                        Object value,
                        Object metadata)
                        throws RegistrationException

  Throws:
    `RegistrationException`

### registerObjects

    void registerObjects(Map<String,Object> objects)
                         throws RegistrationException

  Throws:
    `RegistrationException`

### unregisterObject

    void unregisterObject(String key)
                          throws RegistrationException

  Throws:
    `RegistrationException`

### unregisterObject

    void unregisterObject(String key,
                          Object metadata)
                          throws RegistrationException

  Throws:
    `RegistrationException`

### getRegistryId

    String getRegistryId()

### isReadOnly

    boolean isReadOnly()

### isRemote

    boolean isRemote()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.